package com.hammurapi.store;

import java.util.Comparator;

/**
 * Convenience class which compares objects according 
 * natural order.
 * @author Pavel Vlasov
 *
 * @param <V>
 */
public class NaturalComparator<V> implements Comparator<V> {
	@SuppressWarnings("unchecked")
	@Override
	public int compare(V o1, V o2) {
		return ((Comparable<V>) o1).compareTo(o2);
	}
}

